! Finds the Greatest common divisor of two.
! Two numbers can be decimals
! OPTION ARITHMETIC DECIMAL
FUNCTION gcd(a,b)
   IF b=0 THEN
      LET gcd=a
   ELSE
      LET gcd=gcd(b,MOD(a,b))
   END IF
END FUNCTION
INPUT a,b
PRINT gcd(a,b)
END
